﻿/*
	© 2013-2014 FrankHB.

	This file is part of the YSLib project, and may only be used,
	modified, and distributed under the terms of the YSLib project
	license, LICENSE.TXT.  By continuing to use, modify, or distribute
	this file you indicate that you have read the license and
	understand and accept it fully.
*/

/*!	\defgroup UI UI
\ingroup YSLib
\brief YSLib 用户界面模块。
*/

/*!	\file YModules.h
\ingroup YSLib
\brief YSLib 用户界面模块配置文件。
\version r82
\author FrankHB <frankhb1989@gmail.com>
\since build 462
\par 创建时间:
	2013-12-23 21:57:29 +0800
\par 修改时间:
	2014-04-19 11:24 +0800
\par 文本编码:
	UTF-8
\par 模块名称:
	YSLib::UI::YModules
*/


#ifndef YSL_INC_UI_YModules_h_
#define YSL_INC_UI_YModules_h_ 1

#include "../../YModules.h"
#include "../Service/YModules.h"

//! \since build 461
//@{
#define YFM_YSLib_UI_YComponent <YSLib/UI/YComponent.h>
#define YFM_YSLib_UI_YStyle <YSLib/UI/ystyle.h>
#define YFM_YSLib_UI_YRenderer <YSLib/UI/yrender.h>
#define YFM_YSLib_UI_YFocus <YSLib/UI/yfocus.h>
#define YFM_YSLib_UI_YWidgetEvent <YSLib/UI/ywgtevt.h>
#define YFM_YSLib_UI_YWidgetView <YSLib/UI/ywgtview.h>
#define YFM_YSLib_UI_YWidget <YSLib/UI/ywidget.h>
#define YFM_YSLib_UI_YControl <YSLib/UI/ycontrol.h>
#define YFM_YSLib_UI_YBrush <YSLib/UI/YBrush.h>
#define YFM_YSLib_UI_YGUI <YSLib/UI/ygui.h>
#define YFM_YSLib_UI_YUIContainer <YSLib/UI/yuicont.h>
#define YFM_YSLib_UI_YPanel <YSLib/UI/ypanel.h>
#define YFM_YSLib_UI_YWindow <YSLib/UI/ywindow.h>
#define YFM_YSLib_UI_YDesktop <YSLib/UI/ydesktop.h>
#define YFM_YSLib_UI_Console <YSLib/UI/Console.h>
#define YFM_YSLib_UI_WidgetIteration <YSLib/UI/WidgetIteration.h>
#define YFM_YSLib_UI_Animation <YSLib/UI/Animation.h>
#define YFM_YSLib_UI_Border <YSLib/UI/Border.h>
#define YFM_YSLib_UI_Hover <YSLib/UI/Hover.h>
#define YFM_YSLib_UI_Viewer <YSLib/UI/viewer.hpp>
#define YFM_YSLib_UI_Loader <YSLib/UI/Loader.h>
#define YFM_YSLib_UI_Label <YSLib/UI/label.h>
#define YFM_YSLib_UI_Button <YSLib/UI/button.h>
#define YFM_YSLib_UI_UIContainerEx <YSLib/UI/uicontx.h>
#define YFM_YSLib_UI_Form <YSLib/UI/form.h>
#define YFM_YSLib_UI_Selector <YSLib/UI/Selector.h>
#define YFM_YSLib_UI_Scroll <YSLib/UI/scroll.h>
#define YFM_YSLib_UI_Progress <YSLib/UI/progress.h>
#define YFM_YSLib_UI_TextArea <YSLib/UI/textarea.h>
#define YFM_YSLib_UI_TextList <YSLib/UI/textlist.h>
#define YFM_YSLib_UI_ComboList <YSLib/UI/ComboList.h>
#define YFM_YSLib_UI_Menu <YSLib/UI/menu.h>
//@}
//! \since build 494
#define YFM_YSLib_UI_TabControl <YSLib/UI/TabControl.h>
//! \since build 482
#define YFM_YSLib_UI_TextBox <YSLib/UI/TextBox.h>
//! \since build 472
#define YFM_YSLib_UI_ExStyle <YSLib/UI/ExStyle.h>

#endif

